Skip to main content
`Ctrl`+`K`

# PetscAddLogDoubleCnt

Atomically update both a count pair and a size pair of `PetscLogDouble` counters (global and per-thread)

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscAddLogDoubleCnt(PetscLogDouble *cnt, PetscLogDouble *tot, PetscLogDouble *cnt_th, PetscLogDouble *tot_th, PetscLogDouble value)

Not Collective; No Fortran Support

## Input Parameters

- cnt - pointer to the global count counter to increment by one

- tot - pointer to the global size counter to update

- cnt_th - pointer to the per-thread count counter to increment by one

- tot_th - pointer to the per-thread size counter to update

- value - the size value to add to the size counters

## See Also

`PetscAddLogDouble()`, `PetscLogFlops()`, `PetscLogDouble`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages